package org.example.Utils;

import java.util.*;

public class ConversionUtils {
    public static List<Map<String, Object>> toLowerColumnName(List<Map<String, Object>> data) {
        if (data == null) return new ArrayList<>();

        List<Map<String, Object>> result = new ArrayList<>();
        for (Map<String, Object> row : data) {
            Map<String, Object> lowerRow = new HashMap<>();
            row.forEach((key, value) -> lowerRow.put(key.toLowerCase(Locale.ROOT), value));
            result.add(lowerRow);
        }
        return result;
    }
}
